Loading...
Searching...
No Matches
apr_xlate.h File Reference

APR I18N translation library. More...

`#include "apu.h"`
`#include "apr_pools.h"`
`#include "apr_errno.h"`
Include dependency graph for apr_xlate.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | APR_DEFAULT_CHARSET (const char *)0
#define | APR_LOCALE_CHARSET (const char *)1

## Typedefs

typedef struct apr_xlate_t | apr_xlate_t

## Functions

apr_status_t | apr_xlate_open (apr_xlate_t **convset, const char *topage, const char *frompage, apr_pool_t *pool)
apr_status_t | apr_xlate_sb_get (apr_xlate_t *convset, int *onoff)
apr_status_t | apr_xlate_conv_buffer (apr_xlate_t *convset, const char *inbuf, apr_size_t *inbytes_left, char *outbuf, apr_size_t *outbytes_left)
apr_int32_t | apr_xlate_conv_byte (apr_xlate_t *convset, unsigned char inchar)
apr_status_t | apr_xlate_close (apr_xlate_t *convset)

## Detailed Description

APR I18N translation library.